Apache Tomcat 6.0.51

## org.apache.tomcat.util.modeler.modules
Class MbeansDescriptorsIntrospectionSource

    java.lang.Object
      org.apache.tomcat.util.modeler.modules.ModelerSource
          org.apache.tomcat.util.modeler.modules.MbeansDescriptorsIntrospectionSource

    public class MbeansDescriptorsIntrospectionSource

extends ModelerSource

Constructor Summary
`MbeansDescriptorsIntrospectionSource()`

Method Summary
`ManagedBean` | `createManagedBean(Registry registry, java.lang.String domain, java.lang.Class realClass, java.lang.String type)` XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors
`void` | `execute()`
`protected boolean` | `isBeanCompatible(java.lang.Class javaType)` Check if this class conforms to JavaBeans specifications.
`java.util.List` | `loadDescriptors(Registry registry, java.lang.String location, java.lang.String type, java.lang.Object source)` Load data, returns a list of items.
`void` | `setLocation(java.lang.String loc)`
`void` | `setRegistry(Registry reg)`
`void` | `setSource(java.lang.Object source)`
`void` | `setType(java.lang.String type)` Used if a single component is loaded

Methods inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource
`getInputStream, store, updateField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MbeansDescriptorsIntrospectionSource

    public MbeansDescriptorsIntrospectionSource()

Method Detail

### setRegistry

    public void setRegistry(Registry reg)

### setLocation

    public void setLocation(java.lang.String loc)

### setType

    public void setType(java.lang.String type)

  Used if a single component is loaded

  Parameters:
    `type` -

### setSource

    public void setSource(java.lang.Object source)

### loadDescriptors

    public java.util.List loadDescriptors(Registry registry,
                                          java.lang.String location,
                                          java.lang.String type,
                                          java.lang.Object source)
                                   throws java.lang.Exception

  Description copied from class: `ModelerSource`
  Load data, returns a list of items.

  Overrides:
    `loadDescriptors` in class `ModelerSource`
    `source` - Introspected object or some other source
  Throws:
    `java.lang.Exception`

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isBeanCompatible

    protected boolean isBeanCompatible(java.lang.Class javaType)

  Check if this class conforms to JavaBeans specifications. If the class is conformant, returns true.

  Parameters:
    `javaType` - The class to check
  Returns:
    boolean True if the class is compatible.

### createManagedBean

    public ManagedBean createManagedBean(Registry registry,
                                         java.lang.String domain,
                                         java.lang.Class realClass,
                                         java.lang.String type)

  XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors

  Parameters:
    `registry` - The Bean registry (not used)
    `domain` - The bean domain (not used)
    `realClass` - The class to analyze
    `type` - The bean type
  Returns:
    ManagedBean The create MBean

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.